@import '~onsenui/css/onsenui.min.css';
@import '~onsenui/css/onsen-css-components.css';
@import "variables";
@import "bootstrap";

* {
  font-family: 'PT Serif', serif;
}

body {
  background-color: $primary;
}

@media screen and (orientation:portrait) {
  //noinspection ALL
  .main-page {
    margin-top: constant(safe-area-inset-top); /* iOS 11.0 */
    margin-top: env(safe-area-inset-top); /* iOS 11.2 */
  }
}

@media screen and (orientation:landscape) {
  //noinspection ALL
  .safe-area-horizontal {
    margin: 0 constant(safe-area-inset-right) 0 constant(safe-area-inset-left);
    margin: 0 env(safe-area-inset-right) 0 env(safe-area-inset-left);
  }

}

.page__background {
  background-color: $white;
}

.toolbar {
  background-color: $primary;

  &-button {
    color: $white;
  }

  &__center {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;

    h1 {
      font-size: $font-size-large;
    }

    img {
      width: 2rem;
      height: 2rem;
      object-fit: contain;
    }
  }

  &__title {
    color: $white;
  }
}

.right {
  right: 0 !important;
  color: $white;
}

.tabbar__label {
  color: $default;
}

#searchInput .search-input {
  background-color: rgba($secondary, 0.14);
}

#navbar {
  top: 4.75rem !important;

  //noinspection All
  .tabbar {
    background: initial !important;
    border-bottom: 0 !important;
    background-color: transparent;
    height: 28px;
    overflow: hidden;
    margin: 0 1rem;
    width: auto;
    @media screen and (orientation:portrait) {
      padding: 0;
    }


    &__button {
      height: 24px;
      line-height: 24px;
    }

    &__label {
      color: $default;
      line-height: 24px;
      font-size: $font-size-base;
    }

    &__item {
      border: 1px solid $default;
      overflow: hidden;
      border-top-right-radius: 5.5px;
      border-bottom-right-radius: 5.5px;

      &:first-child {
        border-top-left-radius: 5.5px;
        border-bottom-left-radius: 5.5px;
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;
      }

      &.active {
        background-color: $default;

        .tabbar__label {
          color: $white;
        }
      }

      &:not(:first-child) {
        border-left: 0.5px solid $default;
      }

      &:not(:last-child) {
        border-right: 0.5px solid $default;
      }
    }
  }
}

.tabbar--material__border {
  background-color: $default;
}


//noinspection ALL
.flex-buttons {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: center;
  @media screen and (orientation:portrait) {
    margin: 0;
  }

  .flex-item {
    width: 12.5%;

    .button {
      background-color: transparent;
      width: calc(100% - 0.5rem);
      color: $default;
      font-size: 1rem;
      margin: 0.25rem;

      .ons-icon {
        vertical-align: 0;
      }

      &.active {
        color: $white;
        background-color: $default;
      }

      &.button-primary {
        color: $primary;

        &.active {
          color: $white;
          background-color: $primary;
        }
      }
    }
  }
}

.category-select {
  &--ios {
    .select-input {
      border-radius: 5.5px;
      background-color: rgba($secondary, 0.14);
      padding-left: 1rem;
      background-position: 96% center;
      font-size: $font-size-base;
    }
  }
}

.item-name {
  font-size: 1rem;
  font-weight: bolder;
}

.tags {
  padding-left: 0;
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;

  &__item {
    display: block;
    border-radius: $border-radius;
    background-color: $default;
    margin: 0 0.25rem 0.25rem;
    padding: 0.125rem 0.5rem;
    color: $white;
    font-size: $font-size-small;
  }
}


//noinspection ALL
.list-item {
  display: block;
  @media screen and (orientation:portrait) {
    padding: 0;
  }

  &__center {
    padding: 0;
  }
}

.list-header {
  background-color: rgba($secondary, 0.14) !important;
}

.progress-bar {
  &__primary {
    background-color: $default;
  }
}

.progress-circular__primary {
  stroke: $default;
}

.video {
  background-color: #000;
  position: relative;
  overflow: hidden;
  cursor: pointer;
  width: 100%;
  height: 12rem;
  @media (min-width: 768px) {
    height: 26rem;
  }

  img {
    width: 100%;
    top: -16.84%;
    left: 0;
    opacity: 0.7;
  }

  .play-button {
    width: 90px;
    height: 60px;
    z-index: 1;
    opacity: 0.8;
    border-radius: 6px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: $white;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate3d(-50%, -50%, 0);
    font-size: 4rem;
  }

  img, .play-button {
    cursor: pointer;
  }

  img, iframe {
    position: absolute;
  }

  iframe {
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
  }
}

.splitter-list {
  .list {
    background-color: lighten($primary, 10%);
    &-item {
      color: $white;
      padding: 0 1rem;
      .ons-icon {
        padding-right: 0.25rem;
      }
      &--chevron:before {
        border-color: $white;
      }
    }
  }
}

.btn-primary {
  background-color: $default;
  &:active, &:focus {
    background-color: darken($default, 10%);
  }
}



